:root {
  --anchorStyle: {
    position: relative;
    border: none;
    background: none;
    margin: 0;
    padding: 0;
    transition: 0.2s ease all;
    cursor: pointer;

    &::after {
      content: '';
      position: absolute;
      width: 100%;
      height: 0.2rem;
      background-color: var(--colorAccent);
      bottom: 0.1rem;
      left: 0;
      z-index: -1;
      transition: 0.3s ease height;
      will-change: height;
      transform: translateZ(0);
    }

    &:hover {
      color: var(--colorBlack) !important;

      &::after {
        height: 1rem;
      }
    }
  }
}
